Authentication
Administrator. Session/administrative writes are not executed in the public Playground.
Endpoint
curl --request POST 'https://api.oneaster.ai/core/v1/admin/tasks/00000000-0000-4000-8000-000000000001/resume-queries' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \ --header 'Idempotency-Key: '"$ONEASTER_INTENT" \ --header 'Content-Type: application/json' \ --data "$REQUEST_BODY_JSON"
Parameters
- id (path, Required): {"type":"string","format":"uuid"}
- Idempotency-Key (header, Required): {"type":"string","minLength":1,"maxLength":100}
Request JSON Schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"reference": {
"type": "string",
"minLength": 1,
"maxLength": 300
}
},
"required": [
"reference"
]
}
Responses
200
返回原恢复窗口,不重新排队或延长期限
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"recovery_id": {
"type": "string",
"pattern": "^[0-9]+$"
},
"poll_until": {
"type": "string",
"format": "date-time"
},
"reused": {
"type": "boolean"
}
},
"required": [
"id",
"recovery_id",
"poll_until",
"reused"
]
}
},
"required": [
"success",
"data"
]
}
}
}
201
仅恢复已知供应商任务的有界查询,不生成、不新增预留
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"recovery_id": {
"type": "string",
"pattern": "^[0-9]+$"
},
"poll_until": {
"type": "string",
"format": "date-time"
},
"reused": {
"type": "boolean"
}
},
"required": [
"id",
"recovery_id",
"poll_until",
"reused"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}